#
# spec file for package perl-Wx-GLCanvas
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Wx-GLCanvas
Version:        0.09
Release:        2.1
%define cpan_name Wx-GLCanvas
Summary:        Interface to Wxwidgets' Opengl Canvas
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Wx-GLCanvas/
Source0:        http://www.cpan.org/authors/id/M/MB/MBARBON/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Wx) >= 0.57
BuildRequires:  perl(Wx::build::MakeMaker) >= 0.16
Requires:       perl(Wx) >= 0.57
Requires:       perl(Wx::build::MakeMaker) >= 0.16
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  gcc-c++
BuildRequires:  perl(Alien::wxWidgets)
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
BuildRequires:  wxWidgets-3_0-nostl-devel
%else
BuildRequires:  wxWidgets-ansi-devel
%endif
BuildRequires:  xvfb-run
# MANUAL END

%description
The documentation for this module is included in the main wxPerl
distribution (wxGLCanvas).

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
xvfb-run -a -s "+extension GLX -screen 0 1280x1024x24" %{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.txt

%changelog
* Mon Nov 14 2016 stefan.bruens@rwth-aachen.de
- updated wxWidgets requirements from 2.8 to 3.0 for
  distribution versions providing wxWidgets-3_0-nostl.
* Fri Oct 23 2015 bwiedemann@suse.com
- initial package version 0.09
  see /usr/share/doc/packages/perl-Wx-GLCanvas/Changes
